Package org.bukkit.block.data.type

# Interface Bed

All Superinterfaces:
  `BlockData`, `Cloneable`, `Directional`

public interface Bed extends Directional
Similar to `Bisected`, 'part' denotes which half of the bed this block corresponds to.
'occupied' property is a quick flag to check if a player is currently sleeping in this bed block.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`Bed.Part`
Horizontal half of a bed.

## Method Summary

Modifier and Type
Method
Description
`@NotNull Bed.Part`
`getPart()`
Gets the value of the 'part' property.
`boolean`
`isOccupied()`
Gets the value of the 'occupied' property.
`void`
`setOccupied(boolean occupied)`
Sets the value of the 'occupied' property.
`void`
`setPart(@NotNull Bed.Part part)`
Sets the value of the 'part' property.

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, isFaceSturdy, isPreferredTool, isRandomlyTicked, isSupported, isSupported, matches, merge`

### Methods inherited from interface org.bukkit.block.data.Directional

`getFaces, getFacing, setFacing`

## Method Details

### getPart

@NotNull @NotNull Bed.Part getPart()
Gets the value of the 'part' property.

Returns:
  the 'part' value

### setPart

void setPart(@NotNull @NotNull Bed.Part part)
Sets the value of the 'part' property.

Parameters:
  `part` - the new 'part' value

### isOccupied

boolean isOccupied()
Gets the value of the 'occupied' property.

Returns:
  the 'occupied' value

### setOccupied

void setOccupied(boolean occupied)
Sets the value of the 'occupied' property.

Parameters:
  `occupied` - the new 'occupied' value